GET /api/workflows/connectors

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/connectors

Refer to Spaces for more information.

Retrieve the Kibana action connectors that can be used in workflow steps, grouped by connector type. Each type includes its configured instances and availability status.

[Required authorization] Route required privileges: workflowsManagement:read.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/workflows/connectors
curl \
  -X GET "${KIBANA_URL}/api/workflows/connectors" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows/connectors
Response examples (200)
Example response with available connector types and their instances
{
  "connectorTypes": {
    ".email": {
      "enabled": true,
      "instances": [],
      "subActions": [
        {
          "name": "send",
          "displayName": "Send"
        }
      ],
      "displayName": "Email",
      "actionTypeId": ".email",
      "enabledInConfig": true,
      "enabledInLicense": true,
      "minimumLicenseRequired": "gold"
    },
    ".slack_api": {
      "enabled": true,
      "instances": [
        {
          "id": "slack-connector-1",
          "name": "Team Notifications",
          "isDeprecated": false,
          "isPreconfigured": false
        }
      ],
      "subActions": [
        {
          "name": "postMessage",
          "displayName": "Post Message"
        }
      ],
      "displayName": "Slack",
      "actionTypeId": ".slack_api",
      "enabledInConfig": true,
      "enabledInLicense": true,
      "minimumLicenseRequired": "gold"
    }
  },
  "totalConnectors": 1
}